<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddImeServerReq StructType
 * @subpackage Structs
 */
class AddImeServerReq extends APIRequest
{
    /**
     * The imeServer
     * @var XImeServer
     */
    public $imeServer;
    /**
     * Constructor method for AddImeServerReq
     * @uses AddImeServerReq::setImeServer()
     * @param XImeServer $imeServer
     */
    public function __construct(XImeServer $imeServer = null)
    {
        $this
            ->setImeServer($imeServer);
    }
    /**
     * Get imeServer value
     * @return XImeServer|null
     */
    public function getImeServer()
    {
        return $this->imeServer;
    }
    /**
     * Set imeServer value
     * @param XImeServer $imeServer
     * @return AddImeServerReq
     */
    public function setImeServer(XImeServer $imeServer = null)
    {
        $this->imeServer = $imeServer;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddImeServerReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
